#ifndef GO_WINDOW_H
#define GO_WINDOW_H

#include <Window.h>

#include "Go.h"
#include "GoView.h"
#include <StringView.h>
#include <string>
#include "message/Message.h"

class NetworkWindow;

class GoWindow : public BWindow
{
	public:
		GoWindow( NetworkWindow * owner, Go *, const char * name, const char * remote_addr, const char * local_addr, const char * session );
		~GoWindow();
		
		void MessageReceived( BMessage * );
		
		void HandleGoMessage( muscle::Message * );
		
		void GoEvent( int stone, XY xy );
		
	private:
		void UpdateScore();
		
		NetworkWindow * fOwner;
		Go	* fGo;
		
		GoView * fGoView;
		BStringView	 * fMessageView, * fScoreView;
		BButton * fPassButton;
		string	fLocalAddress, fRemoteAddress, fSession;
		bool fPassed;
};

#endif
