#ifndef NETWORK_WINDOW_H
#define NETWORK_WINDOW_H

#include <Window.h>
#include <TextControl.h>
#include <Button.h>
#include <ListView.h>
#include <string>
#include <map>

#include "GoWindow.h"

#include "message/Message.h"
#include "besupport/BThread.h"

class NetworkWindow : public BWindow
{
	public:
		NetworkWindow();
		~NetworkWindow();
		
		void MessageReceived( BMessage * );
		
	private:
		BTextControl * fNewGameText;
		BButton * fNewGameButton;
		
		BListView * fGameList;
		BButton * fJoinGameButton;
		
		map<string,GoWindow*> fWindows;
		
		string fLocalAddress;
		
		void HandleMessage( muscle::Message * );
};

extern muscle::BMessageTransceiverThread gMuscle;

#endif
